package md

const (
	PVD_TB  = "taobao"
	PVD_JD  = "jd"
	PVD_SN  = "suning"
	PVD_VIP = "vip"
	PVD_PDD = "pdd"
	PVD_KL  = "kaola"
	PVD_TM  = "tmall"
	PVD_DTK = "dataoke"
	PVD_HDK = "haodanku"
	PVD_JTT = "jingtuitui"
	// 特殊活动免单方案
	PVD_FREE               = "free"
	PVD_MEITUAN            = "meituan"
	PVD_OILSTATION         = "oil"
	PVD_KFC                = "kfc"
	PVD_CINEMA             = "cinema"
	PVD_NEW_CINEMA         = "new_cinema" //新电影票
	PVD_CREDIT_CARD        = "credit_card"
	PVD_CARD_REFUND        = "card_refund"         //权益卡退款
	PVD_CARD               = "privilege_card"      //权益卡
	PVD_USER_LV_UP         = "userlvup"            //会员费用
	PVD_OPEN_CARD          = "privilege_open_card" // 权益卡开卡
	PVD_DUOMAI             = "duomai"              // 多麦
	PVD_MALL_GOODS         = "mall_goods"          // 自营商品订单返佣
	PVD_MALL_GOODS_USER_LV = "mall_goods_user_lv"  // 自营商品升级礼包订单返佣
	PVD_GROUP_BUY          = "mall_group_buy"      // 拼团未中奖返佣
	PVD_REGIONAL_AGENT_PAY = "regional_agent_pay"  // 区域代理升级付款
	PVD_GUIDE              = "GUIDE"               //导购
	PVD_SELF_MALL          = "SELF_MALL"           //自营
	PVD_O2O                = "O2O"                 //O2O
	PVD_COMMON             = "COMMON"              //区域代理通用网点
	PVD_ORDINARY           = "ordinary"            //通用

)

var PVD_LIST = map[string]string{
	PVD_TB:                 "淘宝",
	PVD_JD:                 "京东",
	PVD_SN:                 "苏宁",
	PVD_VIP:                "唯品会",
	PVD_PDD:                "拼多多",
	PVD_KL:                 "考拉",
	PVD_CREDIT_CARD:        "信用卡",
	PVD_TM:                 "天猫",
	PVD_USER_LV_UP:         "会员升级",
	PVD_CARD_REFUND:        "权益卡退款",
	PVD_CARD:               "权益卡",
	PVD_MEITUAN:            "美团",
	PVD_OILSTATION:         "加油",
	PVD_KFC:                "肯德基",
	PVD_CINEMA:             "电影票",
	"ele":                  "饿了么",
	"user_lv_up":           "会员升级",
	PVD_REGIONAL_AGENT_PAY: "区域代理升级",
	PVD_GUIDE:              "导购",  //导购
	PVD_SELF_MALL:          "自营",  //自营
	PVD_O2O:                "O2O", //O2O
	PVD_COMMON:             "区域代理通用网点",
	PVD_ORDINARY:           "通用", //通用
	"CARD":                 "权益卡",
	"OIL":                  "加油",
}

var PVD_LIST_ICON = map[string]string{
	PVD_TB:  "provider-square-icon-taobao.png",
	PVD_JD:  "provider-square-icon-jd.png",
	PVD_SN:  "provider-square-icon-suning.png",
	PVD_VIP: "provider-square-icon-vip.png",
	PVD_PDD: "provider-square-icon-pdd.png",
	PVD_KL:  "provider-square-icon-kaola.png",
}

var ZHIMENG_CFG_LIST = []string{KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_WEB_ID}

var PVD_CFG_LIST = map[string][]string{
	PVD_TB: {
		"third_taobao_sid",
		"third_taobao_web_ak",
		"third_taobao_web_sk",
		"third_taobao_svc_ak",
		"third_taobao_svc_sk",
		"third_taobao_svc_sid",
		// 推广位
		"third_taobao_share_inviter_code",
		"third_taobao_share_pid_android",
		"third_taobao_share_pid_ios",
		"third_taobao_share_pid_web",
		// 推广位
		"third_taobao_self_inviter_code",
		"third_taobao_self_pid_android",
		"third_taobao_self_pid_ios",
		"third_taobao_self_pid_web",
	},
	PVD_JD:         {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_JD_SITE_ID, KEY_CFG_ZM_WEB_ID},
	PVD_VIP:        {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_JD_SITE_ID, KEY_CFG_ZM_WEB_ID},
	PVD_PDD:        {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_JD_SITE_ID, KEY_CFG_ZM_WEB_ID},
	PVD_SN:         {KEY_CFG_SN_AK, KEY_CFG_SN_SK},
	PVD_KL:         {KEY_CFG_KL_AK, KEY_CFG_KL_SK},
	PVD_MEITUAN:    {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_OILSTATION: {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_KFC:        {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_CINEMA:     {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
}

var COIN_TRANSFER_TYPE = map[int]string{
	1: "全球分红",
	2: "管理员修改",
	3: "消费",
	4: "退回",
	5: "虚拟币兑换",
	6: "余额充值",
}
var COMM_TASK_TYPE_NAME = map[int]string{
	1: "邀请好友",
	2: "分享商品",
	3: "观看视频广告",
	4: "购买商品",
	5: "淘宝授权",
	6: "微信绑定",
	7: "成为XX等级会员",
	8: "填写邀请码",
	9: "绑定手机号",
}
var COMM_TASK_TYPE_ONE = []string{
	"5", "6", "7", "8", "9",
}
var COMM_TASK_TYPE_MORE = []string{
	"1", "2", "3", "4",
}
var VIRTUAL_COIN_FUNCTION_TYPE = map[string]string{
	"block":        "block",
	"capital_pool": "capital_pool",
	"super_group":  "super_group",
}

var VIRTUAL_COIN_FUNCTION_TYPE_NAME = map[string]string{
	"block":        "区块币",
	"capital_pool": "全球分红",
	"super_group":  "超级拼团",
}
