package md

const (
	PROVINCE = "province"
	CITY     = "city"
	COUNTRY  = "country"
	SITE     = "site"
)

const (
	ProvinceKey = 1
	CityKey     = 2
	CountryKey  = 3
	SiteKey     = 4
)

type InsertRegionalAgentOrdBelongData struct {
	Uid        interface{} `json:"uid"`
	Pvd        string      `json:"pvd"`
	CommPvd    string      `json:"comm_pvd"`
	Commission string      `json:"commission"`
	OrderId    int64       `json:"order_id"`
	Status     string      `json:"status"`
}

type RegionalAgentSystemArgs struct {
	Uid      string `json:"uid"`
	Amount   string `json:"amount"`
	OrdId    string `json:"ord_id"`
	Pvd      string `json:"pvd"`
	CommPvd  string `json:"comm_pvd"`
	Type     string `json:"type"`
	RegionId string `json:"regionId"`
	Status   string `json:"status"`
}
type CoinSetDetail struct {
	CoinID   int    `json:"coin_id"`
	CoinName string `json:"coin_name"`
	Value    string `json:"value"`
}
type CoinSet struct {
	ProvinceAgent []CoinSetDetail `json:"province_agent"`
	CityAgent     []CoinSetDetail `json:"city_agent"`
	DistrictAgent []CoinSetDetail `json:"district_agent"`
	SiteAgent     []CoinSetDetail `json:"site_agent"`
}
